Validate and parse RRULE string
curl --request POST \
--url https://api-sandbox.orum.io/deliver/schedules/rrule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Orum-Version: <orum-version>' \
--data '
{
"start_date": "2025-01-01",
"recurrence": "RRULE:FREQ=WEEKLY;INTERVAL=1;BYDAY=MO,WE,FR",
"occurrence_count": 3
}
'import requests
url = "https://api-sandbox.orum.io/deliver/schedules/rrule"
payload = {
"start_date": "2025-01-01",
"recurrence": "RRULE:FREQ=WEEKLY;INTERVAL=1;BYDAY=MO,WE,FR",
"occurrence_count": 3
}
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Orum-Version': '<orum-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
start_date: '2025-01-01',
recurrence: 'RRULE:FREQ=WEEKLY;INTERVAL=1;BYDAY=MO,WE,FR',
occurrence_count: 3
})
};
fetch('https://api-sandbox.orum.io/deliver/schedules/rrule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"start_date": "2025-01-01",
"rrule_string": "<string>",
"rrule_readable": "<string>",
"occurrences": [
"2023-12-25"
]
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Schedules
Validate and parse RRULE string
Validates an RRULE string and returns its human readable form along with next occurrence dates.
POST
/
deliver
/
schedules
/
rrule
Validate and parse RRULE string
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version of Deliver and Verify APIs. Use v2022-09-21.
Available options:
v2022-09-21 Body
application/json
The date when the schedule starts, in YYYY-MM-DD format.
Example:
"2025-01-01"
Recurrence of the schedule in iCalendar RRULE format
Example:
"RRULE:FREQ=WEEKLY;INTERVAL=1;BYDAY=MO,WE,FR"
Number of occurrences to return. Defaults to 2 if not specified.
Required range:
1 <= x <= 5Response
200 response.
Was this page helpful?
⌘I